<!-- -*- mode: markdown; mode: flyspell -*- -->
# Changelog (exam-env-server)

## [0.4] - 2024-
### Changed
* renamed tools from lvatest-* to exam-env-*
### Removed
- webstatus moved out to its on package (exam-env-webstatus)

## [0.3.48] - 2024-06-07
### Added
+ exam-env-show-ranges

## [0.3.47] - 2024-06-03
### Changed
* lvatest-collect: fix sanity check

## [0.3.46] - 2024-05-31
### Added
+ exam-env-impersonate
### Changed
* lvatest-collect has online/ssh and sudo checks now (overrideable)

## [0.3.45] - 2023-05-09
### Added
+ libexec/lvatest-resolve-remote-path

## [0.3.44] - 2020-06-17
### Added
+ lvatest-sshtool

## [0.3.43] - 2020-05-27
### Changed
* fixed DELAY description in README.md (thanks Flo)

## [0.3.42] - 2019-06-19
### Changed
* lvatest-data-push: make it work w/o extra args

## [0.3.41] - 2019-06-18
### Changed
* lvatest-data-push: fixed typo
* enhanced usage info with examples

## [0.3.40] - 2019-06-18
### Changed
* lvatest-data-push: changed synopsys

## [0.3.39] - 2019-06-14
### Changed
* lvatest-data-push now accepts arguments and passes them to rsync

## [0.3.38] - 2019-05-09
### Changed
* nothing

## [0.3.36] - 2019-01-11
### Changed
* changed bash-base funs to prefixed versions
* Makefile cleanup

## [0.3.35] - 2018-08-08
### Changed
* improvements in STAFF-README.md

## [0.3.34] - 2018-07-04
### Changed
* lvatest-collect now uses ssh options BatchMode=yes and oConnectTimeout=10
* lvatest-fix-permissions now prints nice usage info

## [0.3.33] - 2018-06-27
### Changed
* fixed lvatest-fix-permissions

## [0.3.32] - 2018-06-27
### Added
+ lvatest-fix-permissions fixes permissions of data dir on apps0

## [0.3.31] - 2018-06-25
### Changed
- lvatest-websocket-handler: fix protocol
- sbin/lvatest-control: fix typos

## [0.3.30] - 2018-05-08
### Changed
- fixed bugs in websocket-handler

## [0.3.29] - 2018-05-08
### Removed
- status collector moved to its own package

## [0.3.28] - 2018-05-01
### Changed
- fix unset variable in lvatest-control countdown

## [0.3.27] - 2018-05-01
### Changed
- arg parse fix in lvatest-control countdown

## [0.3.26] - 2018-05-01
### Changed
- bugfixes in lvatest-control

## [0.3.25] - 2018-05-01
### Changed
- yet another service related fix

## [0.3.24] - 2018-05-01
### Changed
- fixed service settings in spec

## [0.3.23] - 2018-05-01
### Changed
- path typo fix in spec

## [0.3.22] - 2018-05-01
### Added
- systemd services for websocket handler and status-collector
- new lvatestctl user
- lvatest-control script including sudo hook

## [0.3.21] - 2018-04-27
### Added
- sbin/lvatest-websocket-handler

## [0.3.20] - 2018-04-26
### Changed
- lvatest-status-collector-service now kills children when terminating

## [0.3.19] - 2018-04-26
### Changed
- minor typos and bugfixes in collector service

## [0.3.18] - 2018-04-23
### Added
- added new non polling status collector service

## [0.3.17] - 2018-04-12
### Added
- added docu of lightdm xsession hook to STAFF-README.md

## [0.3.16] - 2018-04-11
### Changed
- traps and exit updated to work with bash-bash 0.3

## [0.3.15] - 2018-04-09
### Changed
- moved STAFF-README.md to /usr/share/zkk-lvatest-apps0-scripts

## [0.3.14] - 2018-04-04
### Removed
- removed default whitelist rules, it belongs to client

## [0.3.13] - 2018-04-04
### Added
- documented USB whitelisting in README.md

### Changed
- renamed zkklabs-usb-base.whitelist to zkklabs-usb-base-whitelist.rules

## [0.3.12] - 2018-04-03
### Added
- zkklabs-usb-base.whitelist is now part of docu

## [0.3.11] - 2018-03-16
### Added
- STAFF-README.md is now part of docu

## [0.3.10] - 2018-03-15
### Changed
- correct path use when calling `bb_require_lib`

## [0.3.9] - 2018-03-14
### Changed
- fixed typo in lvatest-collect

## [0.3.8] - 2018-03-14
### Added
- lvatest-collect has now support for incremental backups

### Changed
- code cleanup, better use of shellcheck

## [0.3.7] - 2018-01-23
### Changed
- lvatest-collect executes xz now on client

## [0.3.6] - 2018-01-22
### Changed
- lvatest-collect got help message and better error handling

## [0.3.5] - 2018-01-21
### Changed
- lvatest-webstatus-service now becomes idle when stopped manually

## [0.3.4] - 2018-01-21
### Changed
- bin/lvatest-status-show fixed wrong path to index.txt

## [0.3.3] - 2018-01-21
### Changed
- bin/lvatest-collect uses smarted rsync options
- bin/lvatest-data-check now calls stat correct

## [0.3.2] - 2018-01-21
### Added
- webstatus txt support for local use

### Changed
- bin/lvatest-collect less verbose if no error

## [0.3.1] - 2018-01-21
### Added
- bin/lvatest-data-check

### Changed
- cosmetics: webstatus errors reference to CentOS instead of fedora
- bin/lvatest-data-push: fixed rsync destination path
- fixed bin/lvatest-collect not using sudo on workstations

## [0.3] - 2018-01-19
### Added
- webstatus service

## [0.2.1] - 2018-01-17
### Added
- bin/lvatest-data-push

## [0.2] - 2018-01-17
### Removed
- separated client from apps0 scripts

## [0.1.2] - 2018-01-17
### Added
- better logging for lvatest-common.sh:sync_config

### Changed
- renamed lvatest_common.sh to lvatest-common.sh
- fixed typo and wrong path

## [0.1.1] - 2018-01-17
### Added
- generic hook called script sbin/lvatest-call-hook

### Changed
- moved config sync to common and call it at boottime, too

## [0.1] - 2018-01-16
### Added
- First release: Extracted scripts from SUS level and modified paths
